Skip to content
vocapable.Docs

Add a shared team note to a customer the connection owner can open

POST
/v1/workspace/automation/actions/add-note
curl --request POST \
--url https://api.vocapable.com/v1/workspace/automation/actions/add-note \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "organization_id": "example", "body": "example", "idempotency_key": "example" }'
Media typeapplication/json
WorkspaceAutomationNoteCreate
object
organization_id
required
Organization Id
string
body
required
Body
string
>= 1 characters <= 5000 characters
idempotency_key
required
Idempotency Key
string
>= 8 characters <= 200 characters
Examplegenerated
{
"organization_id": "example",
"body": "example",
"idempotency_key": "example"
}

Successful Response

Media typeapplication/json
WorkspaceAutomationResult
object
id
required
Id
string
kind
required
Kind
string
Allowed values: task note customer
created
required
Created
boolean
Example
{
"kind": "task"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}